<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/pre_test_nav_graph"
    app:startDestination="@id/preTestStep1Fragment">

    <fragment
        android:id="@+id/preTestStep1Fragment"
        android:name="com.vessel.app.pretest.preteststep1.ui.PreTestStep1Fragment"
        android:label="PreTestStep1Fragment"
        tools:layout="@layout/fragment_pre_test_step1">

        <action
            android:id="@+id/action_preTestStep1Fragment_to_inCupPeeFragment"
            app:destination="@id/inCupPeeFragment" />
        <action
            android:id="@+id/action_preTestStep1Fragment_to_directPeeFragment"
            app:destination="@id/directPeeFragment" />
    </fragment>

    <fragment
        android:id="@+id/inCupPeeFragment"
        android:name="com.vessel.app.pretest.incuppee.ui.InCupPeeFragment"
        android:label="inCupPeeFragment"
        tools:layout="@layout/fragment_in_cup_pee">

        <action
            android:id="@+id/action_inCupPeeFragment_to_takeTestActivity"
            app:destination="@id/takeTestActivity" />
    </fragment>

    <fragment
        android:id="@+id/directPeeFragment"
        android:name="com.vessel.app.pretest.directpee.ui.DirectPeeFragment"
        android:label="directPeeFragment"
        tools:layout="@layout/fragment_direct_pee">
        <action
            android:id="@+id/action_directPeeFragment_to_takeTestActivity"
            app:destination="@id/takeTestActivity" />
    </fragment>

    <activity
        android:id="@+id/takeTestActivity"
        android:name="com.vessel.app.taketest.TakeTestActivity"
        tools:layout="@layout/activity_take_test" />
</navigation>
